dbXML API

## com.dbxml.xml.text
Class TextProducer

    java.lang.Object
      com.dbxml.xml.dtsm.Producer
          com.dbxml.xml.text.TextProducer

All Implemented Interfaces:
  Consumer

public final class TextProducer
extends Producer
implements Consumer

TextProducer

Constructor Summary
`TextProducer(DocumentTable table)`
`TextProducer(DocumentTable table, boolean omitPrefix)`

Method Summary
`void` `attribute(DocumentTableEntry entry)`
`void` `beginDocument(DocumentTableEntry entry)`
`void` `beginElement(DocumentTableEntry entry)`
`void` `cdata(DocumentTableEntry entry)`
`void` `comment(DocumentTableEntry entry)`
`void` `docType(DocumentTableEntry entry)`
`void` `endDocument(DocumentTableEntry entry)`
`void` `endElement(DocumentTableEntry entry)`
`void` `entity(DocumentTableEntry entry)`
`void` `entityRef(DocumentTableEntry entry)`
`void` `notation(DocumentTableEntry entry)`
`void` `procInst(DocumentTableEntry entry)`
`void` `setWriter(java.io.PrintWriter writer)`
`void` `setWriter(java.io.Writer writer)`
`void` `text(DocumentTableEntry entry)`
`static java.lang.String` `toString(DocumentTable table)`
`static void` `toWriter(DocumentTable table, java.io.Writer writer)`

Methods inherited from class com.dbxml.xml.dtsm.Producer
`getDocumentTable, getProperty, process, process, setDocumentTable, setProperty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.dbxml.xml.dtsm.Consumer
`setDocumentTable`

Constructor Detail

### TextProducer

    public TextProducer(DocumentTable table,
                        boolean omitPrefix)

### TextProducer

    public TextProducer(DocumentTable table)

Method Detail

### toString

    public static java.lang.String toString(DocumentTable table)
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### toWriter

    public static void toWriter(DocumentTable table,
                                java.io.Writer writer)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setWriter

    public void setWriter(java.io.PrintWriter writer)

### setWriter

    public void setWriter(java.io.Writer writer)

### beginDocument

    public void beginDocument(DocumentTableEntry entry)
                       throws java.lang.Exception

  Specified by:
    `beginDocument` in interface `Consumer`
  Throws:
    `java.lang.Exception`

### endDocument

    public void endDocument(DocumentTableEntry entry)
                     throws java.lang.Exception

  Specified by:
    `endDocument` in interface `Consumer`
  Throws:
    `java.lang.Exception`

### beginElement

    public void beginElement(DocumentTableEntry entry)
                      throws java.lang.Exception

  Specified by:
    `beginElement` in interface `Consumer`
  Throws:
    `java.lang.Exception`

### endElement

    public void endElement(DocumentTableEntry entry)
                    throws java.lang.Exception

  Specified by:
    `endElement` in interface `Consumer`
  Throws:
    `java.lang.Exception`

### attribute

    public void attribute(DocumentTableEntry entry)
                   throws java.lang.Exception

  Specified by:
    `attribute` in interface `Consumer`
  Throws:
    `java.lang.Exception`

### procInst

    public void procInst(DocumentTableEntry entry)
                  throws java.lang.Exception

  Specified by:
    `procInst` in interface `Consumer`
  Throws:
    `java.lang.Exception`

### text

    public void text(DocumentTableEntry entry)
              throws java.lang.Exception

  Specified by:
    `text` in interface `Consumer`
  Throws:
    `java.lang.Exception`

### cdata

    public void cdata(DocumentTableEntry entry)
               throws java.lang.Exception

  Specified by:
    `cdata` in interface `Consumer`
  Throws:
    `java.lang.Exception`

### comment

    public void comment(DocumentTableEntry entry)
                 throws java.lang.Exception

  Specified by:
    `comment` in interface `Consumer`
  Throws:
    `java.lang.Exception`

### docType

    public void docType(DocumentTableEntry entry)

  Specified by:
    `docType` in interface `Consumer`

### entity

    public void entity(DocumentTableEntry entry)

  Specified by:
    `entity` in interface `Consumer`

### entityRef

    public void entityRef(DocumentTableEntry entry)

  Specified by:
    `entityRef` in interface `Consumer`

### notation

    public void notation(DocumentTableEntry entry)

  Specified by:
    `notation` in interface `Consumer`

dbXML API

Copyright (c) 2004 The dbXML Group